#pragma once

#include "state.h"
#include <memory>
#include <cpptoml.h>

class Gui {
public:
	Gui(DemoState *state) :
		perf_open(false),
		state(state)
		{
			this->load_style(cpptoml::parse_file(state->config->stylepath));
		}

	void render();

	bool perf_open = false;
	bool project_overlay_open = true;

	bool imgui_demo_open = false;

private:
	DemoState *state;

	void render_project_overlay();

	void render_menubar();
	void render_mmb_file();
	void render_mmb_view();
	void render_mmb_debug();

	void load_style(std::shared_ptr<cpptoml::table> style);
};

